How to upgrade Ruby and Ruby on Rails [Centos 7]

Hey!

I just noticed Virtualmin Pro 6.12 runs ruby 2.0.0p648 (2015-12-16) [x86_64-linux], so probably Ruby on Rails is also old.

I've tried to yum update && yum upgrade but no package is returned to be updated/upgraded. So how do I upgrade Ruby and Ruby On Rails?

Thanks!

Status: 
Closed (won't fix)
Virtualmin version: 
6.12
Webmin version: 
1.955

Comments

Ilia's picture
Submitted by Ilia on Thu, 09/24/2020 - 09:38

Status:
Active
»
Closed (won't fix)

Hi,

I've tried to yum update && yum upgrade but no package is returned to be updated/upgraded. So how do I upgrade Ruby and Ruby On Rails?

Package ruby is distributed with OS distros. If you need the latest version of it, I would suggest migrating to a newer OS, like Ubuntu 20 or CentOS 8.

There are ways to manually upgrade it, which are discussed online, however it's outside of the scope of what Virtualmin support can do.

You are more than welcome to ask the same question on Virtualmin forum.